package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * Description 审核状态(0:待审核;1:通过;2:未通过)
 *
 * @author: liujunchi
 * @date: 2022-03-30
 */
public enum AuditEnum implements BaseEnum<Integer,AuditEnum> {


    AUDITING(0,"待审核"),
    OPEN(1,"通过"),
    REJECT(2,"未通过");
    @EnumValue
    private Integer code;
    private String msg;

    AuditEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public String getMsg() {
        return this.msg;
    }

    @Override
    public Integer getCode() {
        return this.code;
    }
}
